#!/usr/dist/pkgs/perl,v5.003/5bin.sun4/perl
require 5.003;

BEGIN {
    ($workdir) = ($0 =~ /(.*)\/.*/);
}
use lib "$workdir/../lib";
my ($workdir) = ($0 =~ /(.*)\/.*/);
use Socket;
use BER;
use SNMP_Session;
use SNMP_Simple;
use strict;

my $community = $ARGV[0];

my ($hostname);
SNMP_Simple->loadoids("$workdir/../mibs" "RFC1213");

foreach $hostname (<STDIN>) {
    chomp $hostname;
    next unless defined gethostbyname($hostname);
    my($session) = SNMP_Simple->open($hostname, $community);
    
    next unless defined $session;
    my ($response);
    $response = $session->snmpseta((['sysName', 'string', $hostname]),
				   (['sysContact', 'string', 'Nobody']), 
				   (['sysLocation', 'string', 'Nowhere']));
    if ($response) {
    } else {
	print "$hostname did not respond to SNMP set\n";
    }
    $session->close();
}
exit 0;
